Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class IfsEvent

    java.lang.Object
      oracle.ifs.common.IfsEvent

All Implemented Interfaces:
  java.io.Serializable

    public final class IfsEvent

extends java.lang.Object
implements java.io.Serializable

A IfsEvent is a message indicating that a specific LibraryObject was changed in some way.

Every time a LibraryObject is created, altered, or removed, the Internet File System server posts a IfsEvent on that LibraryObject by invoking `LibraryObject.postEvent`. This posted event is routed to the `handleEvent` methods of both LibrarySession and that LibraryObject, not just for the session that triggered the event, but for all iFS sessions.

IfsEvent has methods to determine the event type (creation, alteration, or removal of a LibraryObject) and the event status (uncommitted, rolled back, or committed). Only "committed" events are propagated between sessions.

IfsEvents also have a subtype, the meaning of which depends on the event type, event status, and LibraryObject. Document management applications can introduce their own subtypes. An IfsEvent's long payload can also be used for application-specific purposes.

A document management application can extend or override the `handleEvent` methods for any ClassObjects it introduces. In addition, an application may register to receive events on a specific LibraryObject or class of LibraryObjects by invoking the `registerEventHandler` or `registerClassEventHandler` methods of LibrarySession. An application could use this to automatically update a GUI whenever a displayed object is altered (even if it is altered by another session).

See Also:
  Serialized Form
(Published)

Field Summary
`static int` | `EVENTSTATUS_COMMITTED` Event status for committed changes.
`static int` | `EVENTSTATUS_ROLLEDBACK` Event status for rollback of uncommitted changes.
`static int` | `EVENTSTATUS_UNCOMMITTED` Event status for uncommitted changes.
`static int` | `EVENTSUBTYPE_ACL_FREED` Subtype for SPECIAL event for a freed ACL.
`static int` | `EVENTSUBTYPE_ACL_INVALIDATED` Subtype for SPECIAL event for ACLs being invalidated.
`static int` | `EVENTSUBTYPE_ATTRIBUTES_RSN_CHANGED` Subtype for SPECIAL event for Oracle use.
`static int` | `EVENTSUBTYPE_AUDIT_CERTIFICATE_CHANGED` Subtype for SPECIAL event for new events in an object that reflects a change in Audit certificate information.
`static int` | `EVENTSUBTYPE_AUDIT_FOLDERPATH_CHANGED` Subtype for SPECIAL event for new events in an object that reflects a change in the folder path representations used in Auditing.
`static int` | `EVENTSUBTYPE_AUDIT_HISTORY_ALERTED` Subtype for SPECIAL event for new events in an object that reflects new Audit history events.
`static int` | `EVENTSUBTYPE_AUDIT_TYPES_REGISTERED` Subtype for SPECIAL event for Oracle use.
`static int` | `EVENTSUBTYPE_CLASSOBJECT_ATTRIBUTE_ADDED_OR_REMOVED` Subtype for SPECIAL event for a ClassObject having an Attribute either added or removed.
`static int` | `EVENTSUBTYPE_CONTENTQUOTA_CONSUMPTION_CHANGE` Subtype for SPECIAL event for indicating content being created.
`static int` | `EVENTSUBTYPE_CREATE_BROADCAST` Subtype for CREATEINSTANCE events which needs to be broadcast to other services.
`static int` | `EVENTSUBTYPE_CREATE_NOBROADCAST` Subtype for CREATEINSTANCE events which do not need to be broadcast to other services.
`static int` | `EVENTSUBTYPE_DETAILS_CHANGED` Subtype for SPECIAL event for details changing in a master/detail object relationship.
`static int` | `EVENTSUBTYPE_GENERAL_ALERT` Subtype for SPECIAL event for a general alert, to be interpreted by the receiving event handler.
`static int` | `EVENTSUBTYPE_PERMISSIONBUNDLE_INVALIDATED` Subtype for SPECIAL event for PermissionBundles being invalidated.
`static int` | `EVENTSUBTYPE_PROPERTY_ADDED` Subtype for SPECIAL event for Oracle use.
`static int` | `EVENTSUBTYPE_PROPERTY_REMOVED` Subtype for SPECIAL event for Oracle use.
`static int` | `EVENTSUBTYPE_QUARANTINE` Subtype for SPECIAL event for Oracle use.
`static int` | `EVENTSUBTYPE_RELATIONSHIP_ADDED` Subtype for SPECIAL event for Items added to an object.
`static int` | `EVENTSUBTYPE_RELATIONSHIP_REMOVED` Subtype for SPECIAL event for Items removed from an object.
`static int` | `EVENTSUBTYPE_RELATIONSHIP_RENAMED` Subtype for SPECIAL event for Items of an object being renamed.
`static int` | `EVENTSUBTYPE_RELATIONSHIPS_CHANGED` Subtype for SPECIAL event for Relationships changed.
`static int` | `EVENTSUBTYPE_RUNTIMESTATE_CHANGE_REQUEST` Subtype for SPECIAL event for runtime state change request.
`static int` | `EVENTSUBTYPE_SECURITY_CHANGED` Subtype for SPECIAL event for Oracle use.
`static int` | `EVENTSUBTYPE_SERVICE_KEEP_ALIVE` Subtype for SPECIAL event for indicating a service is alive.
`static int` | `EVENTSUBTYPE_SESSION_LOCK_FREED` Subtype for SPECIAL event for freeing an object with a session lock.
`static int` | `EVENTSUBTYPE_SESSION_LOCK_OBTAINED` Subtype for SPECIAL event for obtaining a session lock.
`static int` | `EVENTSUBTYPE_SESSION_LOCK_RELEASED` Subtype for SPECIAL event for releasing a session lock.
`static int` | `EVENTSUBTYPE_SHARED_STATE_INVALIDATED` Subtype for SPECIAL event for Oracle use.
`static int` | `EVENTSUBTYPE_UNKNOWN` Unknown event subtype.
`static int` | `EVENTTYPE_CREATEINSTANCE` Event type for creation of new objects.
`static int` | `EVENTTYPE_FREE` Event type for freeing existing objects.
`static int` | `EVENTTYPE_SETATTRIBUTES` Event type for alteration of existing objects.
`static int` | `EVENTTYPE_SPECIAL` Event type for special events, as described by the event subtype.
`static int` | `EVENTTYPE_UNKNOWN` Unknown event type.
`protected java.lang.Long` | `m_ClassId` The class id of the LibraryObject posting the event.
`protected int` | `m_EventStatus` The enumerated event status.
`protected int` | `m_EventSubtype` The event subtype.
`protected int` | `m_EventType` The enumerated event type.
`protected java.lang.Long` | `m_Id` The id of the LibraryObject posting the event.
`protected long` | `m_LongPayload` The long payload.
`protected java.lang.Long` | `m_ServiceId` The service id of the LibraryObject posting the event.
`protected java.lang.Long` | `m_SessionId` The session id of the LibraryObject posting the event.

Constructor Summary
`IfsEvent(java.lang.Long id, java.lang.Long classId, java.lang.Long sessionId, java.lang.Long serviceId, int eventType, int eventSubtype, int eventStatus, long longPayload)` Internal use only: Constructs a IfsEvent.

Method Summary
`java.lang.Long` | `getClassId()` Gets the class id of the LibraryObject that posted the event.
`int` | `getEventStatus()` Gets the event status.
`int` | `getEventSubtype()` Gets the event subtype.
`int` | `getEventType()` Gets the event type.
`java.lang.Long` | `getId()` Gets the id of the LibraryObject that posted the event.
`long` | `getLongPayload()` Gets the long payload.
`java.lang.Long` | `getServiceId()` Gets the service id of the LibraryObject that posted the event.
`java.lang.Long` | `getSessionId()` Gets the session id of the LibraryObject that posted the event.
`java.lang.String` | `toString()` Convert to English string representation.
`java.lang.String` | `toString(java.lang.String targetName)` Convert to English string representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENTTYPE_UNKNOWN

    public static final int EVENTTYPE_UNKNOWN

  Description copied from class: `IfsEvent`
  Unknown event type.

  See Also:
    Constant Field Values
  (Published)

### EVENTTYPE_CREATEINSTANCE

    public static final int EVENTTYPE_CREATEINSTANCE

  Description copied from class: `IfsEvent`
  Event type for creation of new objects.

  See Also:
    Constant Field Values
  (Published)

### EVENTTYPE_SETATTRIBUTES

    public static final int EVENTTYPE_SETATTRIBUTES

  Description copied from class: `IfsEvent`
  Event type for alteration of existing objects.

  See Also:
    Constant Field Values
  (Published)

### EVENTTYPE_FREE

    public static final int EVENTTYPE_FREE

  Description copied from class: `IfsEvent`
  Event type for freeing existing objects.

  See Also:
    Constant Field Values
  (Published)

### EVENTTYPE_SPECIAL

    public static final int EVENTTYPE_SPECIAL

  Description copied from class: `IfsEvent`
  Event type for special events, as described by the event subtype.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_UNKNOWN

    public static final int EVENTSUBTYPE_UNKNOWN

  Description copied from class: `IfsEvent`
  Unknown event subtype.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_CREATE_BROADCAST

    public static final int EVENTSUBTYPE_CREATE_BROADCAST

  Description copied from class: `IfsEvent`
  Subtype for CREATEINSTANCE events which needs to be broadcast to other services.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_CREATE_NOBROADCAST

    public static final int EVENTSUBTYPE_CREATE_NOBROADCAST

  Description copied from class: `IfsEvent`
  Subtype for CREATEINSTANCE events which do not need to be broadcast to other services.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_ACL_INVALIDATED

    public static final int EVENTSUBTYPE_ACL_INVALIDATED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for ACLs being invalidated.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_ACL_FREED

    public static final int EVENTSUBTYPE_ACL_FREED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for a freed ACL.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_RELATIONSHIPS_CHANGED

    public static final int EVENTSUBTYPE_RELATIONSHIPS_CHANGED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Relationships changed.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_CLASSOBJECT_ATTRIBUTE_ADDED_OR_REMOVED

    public static final int EVENTSUBTYPE_CLASSOBJECT_ATTRIBUTE_ADDED_OR_REMOVED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for a ClassObject having an Attribute either added or removed.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_AUDIT_HISTORY_ALERTED

    public static final int EVENTSUBTYPE_AUDIT_HISTORY_ALERTED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for new events in an object that reflects new Audit history events.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_SESSION_LOCK_OBTAINED

    public static final int EVENTSUBTYPE_SESSION_LOCK_OBTAINED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for obtaining a session lock.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_SESSION_LOCK_RELEASED

    public static final int EVENTSUBTYPE_SESSION_LOCK_RELEASED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for releasing a session lock.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_SERVICE_KEEP_ALIVE

    public static final int EVENTSUBTYPE_SERVICE_KEEP_ALIVE

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for indicating a service is alive.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_CONTENTQUOTA_CONSUMPTION_CHANGE

    public static final int EVENTSUBTYPE_CONTENTQUOTA_CONSUMPTION_CHANGE

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for indicating content being created.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_RELATIONSHIP_ADDED

    public static final int EVENTSUBTYPE_RELATIONSHIP_ADDED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Items added to an object.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_RELATIONSHIP_REMOVED

    public static final int EVENTSUBTYPE_RELATIONSHIP_REMOVED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Items removed from an object.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_RELATIONSHIP_RENAMED

    public static final int EVENTSUBTYPE_RELATIONSHIP_RENAMED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Items of an object being renamed.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_DETAILS_CHANGED

    public static final int EVENTSUBTYPE_DETAILS_CHANGED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for details changing in a master/detail object relationship. The event is posted on the master.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_SESSION_LOCK_FREED

    public static final int EVENTSUBTYPE_SESSION_LOCK_FREED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for freeing an object with a session lock.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_ATTRIBUTES_RSN_CHANGED

    public static final int EVENTSUBTYPE_ATTRIBUTES_RSN_CHANGED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Oracle use.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_SHARED_STATE_INVALIDATED

    public static final int EVENTSUBTYPE_SHARED_STATE_INVALIDATED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Oracle use.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_QUARANTINE

    public static final int EVENTSUBTYPE_QUARANTINE

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Oracle use.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_PROPERTY_ADDED

    public static final int EVENTSUBTYPE_PROPERTY_ADDED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Oracle use.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_PROPERTY_REMOVED

    public static final int EVENTSUBTYPE_PROPERTY_REMOVED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Oracle use.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_SECURITY_CHANGED

    public static final int EVENTSUBTYPE_SECURITY_CHANGED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Oracle use.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_AUDIT_TYPES_REGISTERED

    public static final int EVENTSUBTYPE_AUDIT_TYPES_REGISTERED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for Oracle use.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_AUDIT_FOLDERPATH_CHANGED

    public static final int EVENTSUBTYPE_AUDIT_FOLDERPATH_CHANGED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for new events in an object that reflects a change in the folder path representations used in Auditing.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_AUDIT_CERTIFICATE_CHANGED

    public static final int EVENTSUBTYPE_AUDIT_CERTIFICATE_CHANGED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for new events in an object that reflects a change in Audit certificate information.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_PERMISSIONBUNDLE_INVALIDATED

    public static final int EVENTSUBTYPE_PERMISSIONBUNDLE_INVALIDATED

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for PermissionBundles being invalidated.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_GENERAL_ALERT

    public static final int EVENTSUBTYPE_GENERAL_ALERT

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for a general alert, to be interpreted by the receiving event handler.

  See Also:
    Constant Field Values
  (Published)

### EVENTSUBTYPE_RUNTIMESTATE_CHANGE_REQUEST

    public static final int EVENTSUBTYPE_RUNTIMESTATE_CHANGE_REQUEST

  Description copied from class: `IfsEvent`
  Subtype for SPECIAL event for runtime state change request. Event payload clarifies the request.

  See Also:
    Constant Field Values
  (Published)

### EVENTSTATUS_UNCOMMITTED

    public static final int EVENTSTATUS_UNCOMMITTED

  Description copied from class: `IfsEvent`
  Event status for uncommitted changes. In almost all cases, a status of EVENTSTATUS_UNCOMMITTED should be posted. When the current transaction is committed, any event that was posted as EVENTSTATUS_UNCOMMITTED will automatically get re-posted as EVENTSTATUS_COMMITTED. If the current transaction is rolled back, the event gets re-posted as EVENTSTATUS_ROLLEDBACK.

  See Also:
    Constant Field Values
  (Published)

### EVENTSTATUS_ROLLEDBACK

    public static final int EVENTSTATUS_ROLLEDBACK

  Description copied from class: `IfsEvent`
  Event status for rollback of uncommitted changes.

  See Also:
    Constant Field Values
  (Published)

### EVENTSTATUS_COMMITTED

    public static final int EVENTSTATUS_COMMITTED

  Description copied from class: `IfsEvent`
  Event status for committed changes. Only in very rare cases (usually involving DDL SQL statements, which automatically commit transactions) it is correct to post an event with status EVENTSTATUS_COMMITTED.

  See Also:
    Constant Field Values
  (Published)

### m_Id

    protected java.lang.Long m_Id

  Description copied from class: `IfsEvent`
  The id of the LibraryObject posting the event.

  (Unpublished)

### m_ClassId

    protected java.lang.Long m_ClassId

  Description copied from class: `IfsEvent`
  The class id of the LibraryObject posting the event.

  (Unpublished)

### m_SessionId

    protected java.lang.Long m_SessionId

  Description copied from class: `IfsEvent`
  The session id of the LibraryObject posting the event.

  (Unpublished)

### m_ServiceId

    protected java.lang.Long m_ServiceId

  Description copied from class: `IfsEvent`
  The service id of the LibraryObject posting the event.

  (Unpublished)

### m_EventType

    protected int m_EventType

  Description copied from class: `IfsEvent`
  The enumerated event type.

  (Unpublished)

### m_EventSubtype

    protected int m_EventSubtype

  Description copied from class: `IfsEvent`
  The event subtype.

  (Unpublished)

### m_EventStatus

    protected int m_EventStatus

  Description copied from class: `IfsEvent`
  The enumerated event status.

  (Unpublished)

### m_LongPayload

    protected long m_LongPayload

  Description copied from class: `IfsEvent`
  The long payload.

  (Unpublished)

Constructor Detail

### IfsEvent

    public IfsEvent(java.lang.Long id,
                    java.lang.Long classId,
                    java.lang.Long sessionId,
                    java.lang.Long serviceId,
                    int eventType,
                    int eventSubtype,
                    int eventStatus,
                    long longPayload)

  Internal use only: Constructs a IfsEvent.

  For internal use only. Do not use this method.

  Parameters:
    `id` - the id of the LibraryObject posting the event
    `classId` - the class id of the LibraryObject posting the event
    `sessionId` - the session id of the LibraryObject posting the event
    `serviceId` - the service id of the LibraryObject posting the event
    `eventType` - the event type; an enumerated value
    `eventSubtype` - the event subtype
    `eventStatus` - the event status; an enumerated value
    `longPayload` - the long payload
  (Unpublished)

Method Detail

### getId

    public final java.lang.Long getId()

  Description copied from class: `IfsEvent`
  Gets the id of the LibraryObject that posted the event.

  Returns:
    the id
  (Published)

### getClassId

    public final java.lang.Long getClassId()

  Description copied from class: `IfsEvent`
  Gets the class id of the LibraryObject that posted the event.

  Returns:
    the class id
  (Published)

### getSessionId

    public final java.lang.Long getSessionId()

  Description copied from class: `IfsEvent`
  Gets the session id of the LibraryObject that posted the event.

  Returns:
    the session id
  (Published)

### getServiceId

    public final java.lang.Long getServiceId()

  Description copied from class: `IfsEvent`
  Gets the service id of the LibraryObject that posted the event.

  Returns:
    the service id
  (Published)

### getEventType

    public final int getEventType()

  Description copied from class: `IfsEvent`
  Gets the event type.

  Returns:
    the event type
  (Published)

### getEventSubtype

    public final int getEventSubtype()

  Description copied from class: `IfsEvent`
  Gets the event subtype.

  Returns:
    the event subtype
  (Published)

### getEventStatus

    public final int getEventStatus()

  Description copied from class: `IfsEvent`
  Gets the event status.

  Returns:
    the event status
  (Published)

### getLongPayload

    public final long getLongPayload()

  Description copied from class: `IfsEvent`
  Gets the long payload.

  Returns:
    the long payload
  (Published)

### toString

    public java.lang.String toString()

  Description copied from class: `IfsEvent`
  Convert to English string representation. Use numeric name for the target object, with format: "ID:[numeric id]"

  Overrides:
    `toString` in class `java.lang.Object`
  (Unpublished)

### toString

    public java.lang.String toString(java.lang.String targetName)

  Description copied from class: `IfsEvent`
  Convert to English string representation

  Parameters:
    `targetName` - the name of the target; if null, use numeric name of "ID:[numeric id]"
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD